import { SuperDymoStore } from 'dymo-core';
export declare enum Features {
    TempoA = 0,
    TempoB = 1,
    TempoRatio = 2,
    TempoMultiplicity = 3,
    RegularityA = 4,
    RegularityB = 5,
    RegularityProduct = 6,
    KeyA = 7,
    KeyB = 8,
    KeyDistance = 9
}
export declare class Analyzer {
    private store;
    private beatsCache;
    private keysCache;
    private tempoCache;
    constructor(store: SuperDymoStore);
    getAllFeatures(track1: string, track2: string): Promise<number[]>;
    findCuePoint(trackUri: string): Promise<number>;
    private findLocalMaxes;
    private getKeyDistance;
    private getKey;
    private getTempo;
    private getTempoMultiple;
    private getTempoRatio;
    private hasRegularBeats;
    private getRegularityProduct;
    private getRegularity;
    private tempoSimilar;
    private isSimilar;
    private getBarLoudnesses;
    private getBeatDurations;
    private findFeatureSeries;
    private findFeature;
}
