import { Observable } from 'rxjs';
import { FeatureService, Transition, TransitionType, DecisionType } from './types';
import { JsonTree } from './decision-tree';
export declare class AutoDj {
    private featureService?;
    private decisionType?;
    private defaultTransitionType;
    private ready;
    private store;
    private analyzer;
    private dymoGen;
    private mixGen;
    private player;
    private previousPlayingDymos;
    private beatsPlayed;
    private previousTracks;
    private decisionTree;
    private scheduledTransitions;
    private transitionsObservable;
    private transitionsObserved;
    constructor(featureService?: FeatureService, decisionType?: DecisionType, decisionTree?: JsonTree<TransitionType>, defaultTransitionType?: TransitionType);
    private init;
    isReady(): Promise<void>;
    getBeatObservable(): Observable<number>;
    getTransitionObservable(): Observable<Transition>;
    private updateTransitionObservable;
    transitionToTrack(audioUri: string): Promise<Transition>;
    playDjSet(audioUris: string[], numBars?: number, autoCue?: boolean): Promise<void>;
    stop(): Promise<void>;
    private addTrackToMix;
    private internalTransition;
    private resetIfStopped;
    private reset;
    private getTransitionFeatures;
    private extractFeaturesAndAddDymo;
    private addFeature;
    private transitionBasedOnDecisionType;
    private randomTransition;
    private decisionTreeTransition;
    private mapSeries;
}
