export declare type JsonTree<T> = Leaf<T> | Split<T>;
export interface Node {
    mes?: string;
}
export interface Split<T> extends Node {
    col: number;
    val: number;
    left: JsonTree<T>;
    right: JsonTree<T>;
}
export interface Leaf<T> extends Node {
    classes: T[];
}
export declare class DecisionTree<T> {
    private tree;
    constructor(tree: JsonTree<T>);
    classify(features: number[]): T;
    private recursiveClassify;
}
