import { OneShotExtractionRequest as Request, OneShotExtractionResponse as Response } from 'piper-js/one-shot';
import { FeatureService, Beat, Feature } from './types';
import { AudioBank } from 'schedulo';
export interface QmExtractor {
    key: string;
    outputId: string;
}
export declare class FeatureExtractor implements FeatureService {
    private audioBank;
    private client;
    constructor(audioBank: AudioBank);
    extract(request: Request): Promise<Response>;
    getBeats(audioUri: string): Promise<Beat[]>;
    getKeys(audioUri: string): Promise<Feature[]>;
    getLoudnesses(audioUri: string): Promise<Feature[]>;
    private getFrameBasedFeature;
    private getFeature;
    private extractQmFeature;
}
