"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const analyzer_1 = require("./analyzer");
const types_1 = require("./types");
const KEY_TREE = {
    col: analyzer_1.Features.KeyDistance,
    val: 3,
    left: {
        mes: "key similar",
        classes: [types_1.TransitionType.Effects, types_1.TransitionType.EchoFreeze, types_1.TransitionType.Crossfade]
    },
    right: {
        mes: "give up",
        classes: [types_1.TransitionType.PowerDown, types_1.TransitionType.BeatRepeat]
    }
};
exports.STANDARD_TREE = {
    col: analyzer_1.Features.RegularityProduct,
    val: .015,
    left: {
        mes: "both regular",
        col: analyzer_1.Features.TempoRatio,
        val: .8,
        right: {
            mes: "tempo similar",
            classes: [types_1.TransitionType.Beatmatch]
        },
        left: KEY_TREE
    },
    right: KEY_TREE
};
exports.STANDARD_MULT_TREE = {
    col: analyzer_1.Features.RegularityProduct,
    val: .015,
    left: {
        mes: "both regular",
        col: analyzer_1.Features.TempoRatio,
        val: .85,
        right: {
            mes: "tempo similar",
            classes: [types_1.TransitionType.Beatmatch]
        },
        left: {
            mes: "tempo not similar",
            col: analyzer_1.Features.TempoMultiplicity,
            val: .85,
            right: {
                mes: "tempo multiple",
                classes: [types_1.TransitionType.BeatmatchMultiple]
            },
            left: KEY_TREE
        }
    },
    right: KEY_TREE
};
